Bug 854150 - ftp does not support IPv6 on RHEL-5
ftp does not support IPv6 on RHEL-5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ftp (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2012-09-04 04:03 EDT by Patrik Kis
Modified: 2012-11-06 08:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-02 07:54:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2012-09-04 04:03:03 EDT
Description of problem:
While vsftpd supports IPv6 on RHEL-5 it seems ftp (the client) does not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enable IPv6 in vsftpd ad start the daemon
# netstat -na | grep :21
tcp        0      0 :::21                       :::*                        LISTEN      

2. Connect via ftp
# ftp 2000:dead:beef:a:5054:ff:fe68:13d4
ftp: 2000:dead:beef:a:5054:ff:fe68:13d4: unknown host
ftp> bye
# ftp ::1
ftp: ::1: unknown host
ftp> bye

3. The connection was verified from RHEL-6 ftp client and it worked.
Actual results:
ftp via IPv6 fail

Expected results:
ftp support IPv6

Additional info:
Comment 1 RHEL Product and Program Management 2012-09-04 04:09:45 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Jan Synacek 2012-10-02 07:54:19 EDT
Please, make sure you are using ftp client from the 'ftp' package, not the kerberized version.

# which ftp

This version is from krb5 package and it probably doesn't support ipv6.

The client from 'ftp' package does support ipv6:

# /usr/bin/ftp ::1
< connection ok >

Note You need to log in before you can comment on or make changes to this bug.